﻿
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.BaseDto;
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Enum;
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.CheckService.Services.Dtos;
using BPA.KitChen.GroupMealOrder.Core;
using BPA.KitChen.GroupMealOrder.Core.Common;
using BPA.KitChen.GroupMealOrder.SqlSugar;
using Furion;
using Furion.DatabaseAccessor;
using Furion.DataEncryption;
using Furion.DependencyInjection;
using Furion.FriendlyException;
using Microsoft.AspNetCore.Components.Forms;
using Newtonsoft.Json;
using NPOI.Util.ArrayExtensions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.CheckService.Services
{
    public class CheckServices : ICheckServices, ITransient
    {
        /// <summary>
        ///检查Sign
        /// </summary>
        public async Task CheckSign(string key,string signStr,string signMd5)
        {

          
            //检查key
            await CheckKey(key);

            var thisSign = signStr + "&key=" + key;
            var vvv = MD5Encryption.Encrypt(thisSign.ToUpper()).ToUpper();

            var vvvvv = thisSign.ToUpper();

            //if (MD5Encryption.Encrypt(thisSign.ToUpper()).ToUpper() != signMd5.ToUpper())
            //{
            //    throw Oops.Oh(ErrorCodeEnum.Code1005);
            //}
        }

        
        /// <summary>
        /// 检查店铺key验证
        /// </summary>
        /// <param name="key"></param>
        private async Task CheckKey(string key)
        {
            try
            {
                Dictionary<string, string> dic = new Dictionary<string, string>();
                dic.Add("GroupId", CurrentUser.TenantId);
                var url = App.Configuration["GroupMealUrl"] + "api/authorization/GetStoreAuthorizationByKey?key=" + key;
                var jsonData = HttpHelper.HttpGet(url, "", dic, "application/json");
                var data = JsonConvert.DeserializeObject<ResultSAASManageDto<StoreAuthorizationDto>>(jsonData);
                if (data.statusCode != 200) throw Oops.Oh(ErrorCodeEnum.Code10016);
                if (data.data == null) throw Oops.Oh(ErrorCodeEnum.Code10016);
                CurrentUser.StoreId = data.data.StoreId;
                await CheckTenant(data.data.GroupId);
            }
            catch (Exception e)
            {
                throw Oops.Oh("请求错误");
            }

          
        }

        /// <summary>
        /// 检查租户
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        private async Task CheckTenant(string tenantId)
        {

            try
            {
                Dictionary<string, string> dic = new Dictionary<string, string>();
                var url = App.Configuration["GroupMealBaseUrl"] + "api/authorization/GetCompanyById?id=" + tenantId;
                var jsonData = HttpHelper.HttpGet(url, null, dic, "application/json");
                var data = JsonConvert.DeserializeObject<ResultSAASManageDto<CompanyDto>>(jsonData);
                if (data.statusCode != 200) throw Oops.Oh(ErrorCodeEnum.Code10016);
                if (data.data == null) throw Oops.Oh(ErrorCodeEnum.Code10016);
                CurrentUser.TenantId = tenantId;
            }
            catch (Exception e)
            {
                throw Oops.Oh("请求错误");
            }
        }
    }
}
