﻿using BPA.KitChen.GroupMealOrder.Application.BaseDto;
using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using BPA.KitChen.GroupMealOrder.Core.Entity;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Application.Service.WeighOrder.Dtos
{


    /// <summary>
    /// 
    /// </summary>
    public class WeighOrderDto: BPA_WeighOrder
    {
        /// <summary>
        /// 商品信息
        /// </summary>
        public List<WeighOrderGoodsDto> GoodsInfo { get; set; }

        /// <summary>
        /// 餐盘信息
        /// </summary>
        public List<WeighOrderDiningPlateDto> DiningPlateInfo { get; set; }

        /// <summary>
        /// 会员信息
        /// </summary>
        public MemberInfoDto MemberInfo { get; set; }
    }

    public class WeighOrderGoodsDto 
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        public string Id { get; set; } = Guid.NewGuid().ToString();


        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;

        /// <summary>
        /// 订单id
        /// </summary>
        public string OrderId { get; set; }


        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsId { get; set; }


        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }

        public decimal TotalAmount { get; set; }


        /// <summary>
        /// 商品商品重量
        /// </summary>
        public decimal GoodsWeight { get; set; }

        /// <summary>
        /// 商品属性
        /// </summary>
        public List<GoogsAttribute>? GoodsAttribute { get; set; }
    }
    public class WeighOrderDiningPlateDto
    {
        /// <summary>
        /// 订单编号
        /// </summary>
        public string OrderId { get; set; }

        public string DiningPlateId { get; set; }

        public string QRCode { get; set; }

        public string ChipCode { get; set; }
    }

    public class MemberInfoDto
    {

        /// <summary>
        /// 是否会员
        /// </summary>
        public bool IsMember { get; set; }

        /// <summary>
        /// 会员名称
        /// </summary>
        public string Name { get; set; }
    }



    public class GoogsAttribute
    {
        public string AttributeId { get; set; }

        public string AttributeName { get; set; }

    }


    public class GetWeighOrderByOrderIdInputDto
    {
        /// <summary>
        /// orderId
        /// </summary>
        public string OrderId { get; set; }

      
    }

    public class GetWeighOrderByChipCodeInputDto
    {
        /// <summary>
        /// 芯片码
        /// </summary>
        public string ChipCode { get; set; }


    }




    public class WeighOrderCreteDto
    {
       

        /// <summary>
        /// 创建人(会员Id)
        /// </summary>
        public string CreateId { get; set; }

        public string   QRCode { get; set; }

    }

    public class WeighOrderGoodsCreateDto
    {
        

        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsId { get; set; }


        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }

        /// <summary>
        /// 商品商品重量
        /// </summary>
        public decimal GoodsWeight { get; set; }

        public string OrderId { get; set; }
    }

    public class WeighOrderDiningPlateCreateDto
    {
        /// <summary>
        /// 订单编号
        /// </summary>
        public string OrderId { get; set; }

        public string DiningPlateId { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>
        public string QRCode { get; set; }

        /// <summary>
        /// 芯片码
        /// </summary>
        public string ChipCode { get; set; }
    }

    
    public class WeighOrderUpdateDto
    {
        public string OrderId { get; set; }

        public int PayStates { get; set; }

        public int States { get; set; }
    }


    public class GetWeighOrderPageByOpenIdInputDto: PageInputBase
    {
        public string OpenId { get; set; }
    }

    public class GetWeighOrderByOpenIdInputDto 
    {
        public string OpenId { get; set; }
    }

    public class GetGoodsListInputDto : PageInputBase
    {
        public int? states { get; set; }
        public int? payStates { get; set; }
    }

}
