﻿using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    /// <summary>
    /// 会员
    /// </summary>
    [SugarTable("BPA_MemberInfo")]
    public class BPA_MemberInfo : IEntity
    {
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;

        /// <summary> 
        ///  
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string NickName { get; set; }
        /// <summary> 
        /// 0=未知   1=男    2=女 
        /// </summary> 
        public int Sex { get; set; }
        /// <summary> 
        /// 头像 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string HeadImgUrl { get; set; }
        /// <summary> 
        /// 国家 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Country { get; set; }
        /// <summary> 
        /// 省 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Province { get; set; }
        /// <summary> 
        /// 市 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string City { get; set; }
        /// <summary> 
        /// 县（区） 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string County { get; set; }
        /// <summary> 
        /// 具体地址 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Address { get; set; }
        /// <summary> 
        /// 出生日期 
        /// </summary> 
        public DateTime Birthday { get; set; }
        /// <summary> 
        /// 电话 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Phone { get; set; }
        /// <summary> 
        /// 真实姓名 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string RealName { get; set; }
        /// <summary> 
        /// 身份证号码 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string CardNum { get; set; }
        /// <summary> 
        /// 等级 
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Level_Id { get; set; }
        /// <summary> 
        /// 向外展示那个平台的信息 0:默认 1.微信 2.支付宝 
        /// </summary> 
        public int ShowPlatformType { get; set; }

        /// <summary>
        /// 积分
        /// </summary>
        public decimal Integral { get; set; }
    }
}
