﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{

    [SugarTable("BPA_Order")]
    public class BPA_Order
    {
        /// <summary> 
        ///  
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        /// 排序号 (按加盟商区分) 
        /// </summary> 
        public string SortId { get; set; }
        /// <summary> 
        /// 用户Id 
        /// </summary> 
        public string CustomerId { get; set; }
        /// <summary> 
        /// 订单状态 0未付款,1已付款,-1退单申请,-2退单中,-3已退单,-4取消交易 -5撤销申请 
        /// </summary> 
        public int OrderStatus { get; set; }
        /// <summary> 
        /// 用户售后状态 -1 售后已取消 0 未发起售后 1 申请售后  2 处理中 200 处理完毕 
        /// </summary> 
        public int AfterStatus { get; set; }
        /// <summary>   
        /// 商品数量 
        /// </summary> 
        public int OrderCount { get; set; }
        /// <summary> 
        /// 商品总价 
        /// </summary> 
        public decimal OrderOriginalMoney { get; set; }
        /// <summary> 
        /// 折扣价格 
        /// </summary> 
        public decimal DiscountMoney { get; set; }
        /// <summary> 
        /// 实际支付价格 
        /// </summary> 
        public decimal OrderRealMoney { get; set; }
        /// <summary> 
        /// 支付渠道 0微信 1支付宝 2 余额 3银联 4.现金 
        /// </summary> 
        public int PayMode { get; set; }
        /// <summary> 
        /// 订单号（本系统） 
        /// </summary> 
        public string OrderNumber { get; set; }
        /// <summary> 
        /// 订单号（第三方） 
        /// </summary> 
        public string TradeNo { get; set; }
        /// <summary> 
        /// 交易号 
        /// </summary> 
        public string TransactionId { get; set; }
        /// <summary> 
        /// 订单结算状态 0未结算 1已结算 
        /// </summary> 
        public int OrderSettlementStatus { get; set; }
        /// <summary> 
        /// 订单结算时间 
        /// </summary> 
        public string OrderSettlementTime { get; set; }
        /// <summary> 
        /// 订单类型 0->正常 1->立即吃面2->盲盒3->其他 
        /// </summary> 
        public int OrderType { get; set; }
        /// <summary> 
        /// 创建于 
        /// </summary> 
        public DateTime CreatedAt { get; set; }
        /// <summary> 
        /// 创建人 
        /// </summary> 
        public string CreatedBy { get; set; }
        /// <summary> 
        /// 更新于 
        /// </summary> 
        public DateTime UpdatedAt { get; set; }
        /// <summary> 
        /// 更新人 
        /// </summary> 
        public string UpdatedBy { get; set; }
        /// <summary> 
        /// 自动修改 记录最新的修改时间 
        /// </summary> 
        public string UpdatedTs { get; set; }
        /// <summary> 
        /// 订单来源 0 小程序 1大屏点餐 etc... 
        /// </summary> 
        public string OrderSourceFrom { get; set; }
        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remark { get; set; }
        /// <summary> 
        /// 三方id 
        /// </summary> 
        public string TroikaId { get; set; }
        /// <summary> 
        /// 店铺id 
        /// </summary> 
        public string OrgId { get; set; }
        /// <summary> 
        /// 小票备注 
        /// </summary> 
        public string PrintRemark { get; set; }
        /// <summary> 
        /// 就餐方式 
        /// </summary> 
        public int EatType { get; set; }

        public string GroupId { get; set; }
        /// <summary> 
        /// 优惠合集 
        /// </summary> 
        public string PriceCollection { get; set; }
        public decimal CusmetMoney { get; set; }
    }
}
