﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{

    [SugarTable("BPA_OrderRefundLog")]
    public class BPA_OrderRefundLog
    {

        /// <summary>
        /// 
        /// </summary>
        public string Id { get; set; } = Guid.NewGuid().ToString();


        /// <summary>
        /// 订单号(自己系统)
        /// </summary>
        public System.String OrderNumber { get; set; }


        /// <summary>
        /// 订单号(第三方)
        /// </summary>
        public System.String TradeNo { get; set; }

        /// <summary>
        /// 交易号
        /// </summary>
        public System.String TransactionId { get; set; }


        /// <summary>
        /// 售后表Id(null表示为售前退款)
        /// </summary>
        public System.String ReturnId { get; set; }


        /// <summary>
        /// 主订单id
        /// </summary>
        public System.String OrderId { get; set; }


        /// <summary>
        /// 子订单id
        /// </summary>
        public System.String SubOrderId { get; set; }


        /// <summary>
        /// 退款金额()
        /// </summary>
        public System.Decimal RefundMoney { get; set; }


        /// <summary>
        /// 退款类型0:售前退款(商品未制作时退款) 1 售后退款 (商品已经开始进行制作)
        /// </summary>
        public System.Int32 RefundType { get; set; }


        /// <summary>
        /// 退款结果 0 成功 1失败
        /// </summary>
        public System.Int32 RefundResult { get; set; }


        /// <summary>
        /// 退款描述 退款成功；账户余额不足；退款金额大于订单金额..etc
        /// </summary>
        public System.String RefundDesc { get; set; }


        /// <summary>
        /// 退款来源(退款到什么地方) 0微信 1支付宝 2 余额
        /// </summary>
        public System.Int32 RefundSource { get; set; }


        /// <summary>
        /// 退款调用方式 0 小程序调用退款 1 saas调用退款 2 第三方调用退款 4.POS
        /// </summary>
        public System.Int32 RefundCallType { get; set; }


        /// <summary>
        /// 退款时间
        /// </summary>
        public System.DateTime? RefundTime { get; set; }


        /// <summary>
        /// 创建于
        /// </summary>
        public System.DateTime? CreatedAt { get; set; }


        /// <summary>
        /// 创建人
        /// </summary>
        public System.String CreatedBy { get; set; }


        /// <summary>
        /// 更新于
        /// </summary>
        public System.DateTime? UpdatedAt { get; set; }


        /// <summary>
        /// 更新人
        /// </summary>
        public System.String UpdatedBy { get; set; }


        /// <summary>
        /// 退款状态
        /// </summary>
        public RefundStatus Stutas { get; set; }

        public string GroupId { get; set; } 
    }
    public enum RefundStatus
    {
        /// <summary>
        /// 申请部分退款
        /// </summary>
        PartRefund = 10,
        /// <summary>
        /// 部分退款处理中
        /// </summary>
        PartRefundWait = 101,
        /// <summary>
        /// 部分退款成功
        /// </summary>
        PartRefundOk = 102,
        /// <summary>
        /// 取消部分退款
        /// </summary>
        PartRefundCancel = 103,
        /// <summary>
        /// 部分退款失败
        /// </summary>
        PartRefundError = 104,
        /// <summary>
        /// 申请全额退款
        /// </summary>
        FullRefund = 20,
        /// <summary>
        /// 全额退款处理中
        /// </summary>
        FullRefundWait = 201,
        /// <summary>
        /// 全额退款成功
        /// </summary>
        FullRefundOk = 202,
        /// <summary>
        /// 取消全额退款
        /// </summary>
        FullRefundCancel = 203,
        /// <summary>
        /// 全额退款失败
        /// </summary>
        FullRefundError = 204,
    }
}
