﻿using SqlSugar;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    [SugarTable("BPA_SubOrder")]
    public class BPA_SubOrder
    {

        /// <summary> 
        ///  
        /// </summary> 
        public string Id { get; set; }
        /// <summary> 
        /// 主订单表Id 
        /// </summary> 
        public string OrderId { get; set; }
        /// <summary> 
        /// 商品表Id 
        /// </summary> 
        public string GoodId { get; set; }
        /// <summary> 
        /// 设备id 
        /// </summary> 
        public string StoreId { get; set; }
        /// <summary> 
        /// 应付款 
        /// </summary> 
        public decimal GooodOriginPrice { get; set; }
        /// <summary> 
        /// 商品平摊价格(实付款) 
        /// </summary> 
        public decimal GoodsRealPrice { get; set; }
        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remark { get; set; }
        /// <summary> 
        /// 订单状态 1已下单(云服务将订单信息存放在redis) 2等待制作(上位机从redis取出) 3 制作中 4 制作完成待取餐 5 取餐完成 
        /// </summary> 
        public int CookingStatus { get; set; }
        /// <summary> 
        /// 废弃状态 0 正常 1 废弃 
        /// </summary> 
        public int IsVaild { get; set; }
        /// <summary> 
        /// 废弃时间 
        /// </summary> 
        public string VaildTime { get; set; }
        /// <summary> 
        /// 开始制作时间   cookingStatu更新为3时更新此字段 
        /// </summary> 
        public string StartCookingTime { get; set; }
        /// <summary> 
        /// 结束制作时间 cookingStatus跟新为4时更新此字段 
        /// </summary> 
        public string EndCookingTime { get; set; }
        /// <summary> 
        /// 完成取餐时间 cookingStatus更新为5时更新此字段 
        /// </summary> 
        public string CompleteTakeTime { get; set; }
        /// <summary> 
        /// 创建于 
        /// </summary> 
        public string CreatedAt { get; set; }
        /// <summary> 
        /// 创建人 
        /// </summary> 
        public string CreatedBy { get; set; }
        /// <summary> 
        /// 更新于 
        /// </summary> 
        public string UpdatedAt { get; set; }
        /// <summary> 
        /// 更新人 
        /// </summary> 
        public string UpdatedBy { get; set; }
        /// <summary> 
        /// 自动修改 记录最新的修改时间 
        /// </summary> 
        public string UpdatedTs { get; set; }
        /// <summary> 
        /// 排序 
        /// </summary> 
        public string SortNumber { get; set; }
        /// <summary> 
        /// 后厨小票打印次数 
        /// </summary> 
        public int SalvePrintCount { get; set; }
        /// <summary> 
        /// 做法Id 
        /// </summary> 
        public string MakeId { get; set; }
        /// <summary> 
        /// 做法名称 
        /// </summary> 
        public string MakeName { get; set; }
        /// <summary> 
        /// 是否设备 
        /// </summary> 
        public int IsDevice { get; set; }
        /// <summary> 
        /// 是否赠送 true 赠送 
        /// </summary> 
        public bool IsGift { get; set; }

    }
}
