﻿using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    /// <summary>
    /// 称重订单
    /// </summary>
    [SugarTable("bpa_weighorder")]
    public class BPA_WeighOrder : IBaseGroupIdEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();


        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;

        /// <summary>
        /// 订单编号
        /// </summary>
        public string OrderNumber { get; set; }

        /// <summary>
        /// 订单金额
        /// </summary>
        public decimal TotalAmount { get; set; }


        /// <summary>
        /// 订单标题
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Subject { get; set; }

        /// <summary>
        /// 场景id
        /// </summary>
        public string SceneId { get; set; }

        /// <summary>
        /// 0.选菜中   1.订单完成
        /// </summary>
        public int States { get; set; }

        /// <summary>
        /// 0.待支付   1.已支付   2.支付失败
        /// </summary>
        public int PayStates { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateAt { get; set; } = DateTime.Now;


        /// <summary>
        /// 创建人
        /// </summary>
        public  string CreateId { get; set; }
    }
}
