﻿using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    /// <summary>
    /// 称重餐盘订单
    /// </summary>
    [SugarTable("bpa_weighorderdiningplate")]
    public class BPA_WeighOrderDiningPlate : IBaseGroupIdEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();


        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;

        /// <summary>
        /// 订单编号
        /// </summary>
        public string WeighOrderId { get; set; }

        public string DiningPlateId { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>
        public string QRCode { get; set; }

        /// <summary>
        /// 芯片码
        /// </summary>
        public string ChipCode { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDataType = "DateTime", ColumnDescription = "创建时间", IsNullable = true)]
        public DateTime CreateAt { get; set; } = DateTime.Now;

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "创建人", IsNullable = false)]
        public string CreateBy { get; set; }
    }
}
