﻿using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    /// <summary>
    /// 称重订单商品
    /// </summary>
    [SugarTable("bpa_weighordergoods")]
    public class BPA_WeighOrderGoods : IBaseGroupIdEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();


        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;

        /// <summary>
        /// 订单id
        /// </summary>
        public string OrderId { get; set; }


        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsId { get; set; }


        /// <summary>
        /// 商品名称
        /// </summary>
        public string GoodsName { get; set; }

        /// <summary>
        /// 商品名称
        /// </summary>
        public decimal TotalAmount { get; set; }


        /// <summary>
        /// 商品商品重量
        /// </summary>
        public decimal GoodsWeight { get; set; }

        /// <summary>
        /// 商品属性
        /// </summary>
        public string GoodsAttribute { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDataType = "DateTime", ColumnDescription = "创建时间", IsNullable = true)]
        public DateTime CreateAt { get; set; } = DateTime.Now;
        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "创建人", IsNullable = true)]
        public string CreateBy { get; set; }
    }
}
